Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package base
  Definition Classes
    doc
-  trait CommentFactoryBase extends AnyRef

  The comment parser transforms raw comment strings into `Comment` objects.

  The comment parser transforms raw comment strings into `Comment` objects. Call `parse` to run the parser. Note that the parser is stateless and should only be built once for a given Scaladoc run.

  Definition Classes
    base
- CharReader
- WikiParser

c

scala.tools.nsc.doc.base.CommentFactoryBase

# WikiParser 

###

#### final class WikiParser extends (CommentFactoryBase.this)#CharReader

TODO

Attributes
  protected
Self Type
  (CommentFactoryBase.this)#WikiParser
Source
  CommentFactoryBase.scala

Linear Supertypes
(CommentFactoryBase.this)#CharReader, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WikiParser
2. CharReader
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new WikiParser(buffer: String, pos: Position, site: Global.Symbol)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from (CommentFactoryBase.this)#WikiParser to any2stringadd[(CommentFactoryBase.this)#WikiParser] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): ((CommentFactoryBase.this)#WikiParser, B)
   Implicit
     This member is added by an implicit conversion from (CommentFactoryBase.this)#WikiParser to ArrowAssoc[(CommentFactoryBase.this)#WikiParser] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val CLOSE_TAG: Regex
7.  val OPEN_TAG: Regex
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def block(): Block

       block ::= code | title | hrule | listBlock | para

10.  def blockEnded(blockType: String): Unit

        eol ::= { whitespace } '\n'

11.  def bold(): Inline
12.  val buffer: String
13.  def char: Char
    Definition Classes
      CharReader
14.  final def check(chars: String): Boolean
    Definition Classes
      CharReader
15.  def checkList: Boolean

    Checks if the current line is formed with more than one space and one the listStyles

16.  def checkParaEnded(): Boolean
17.  def checkSentenceEnded(): Boolean
18.  def checkSkipInitWhitespace(chars: String): Boolean
    Definition Classes
      CharReader
19.  def checkSkipInitWhitespace(c: Char): Boolean
    Definition Classes
      CharReader
20.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  def code(): Block
22.  def countWhitespace: Int
    Definition Classes
      CharReader
23.  def document(): Body
24.  def ensuring(cond: ((CommentFactoryBase.this)#WikiParser) ⇒ Boolean, msg: ⇒ Any): (CommentFactoryBase.this)#WikiParser
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#WikiParser to Ensuring[(CommentFactoryBase.this)#WikiParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
25.  def ensuring(cond: ((CommentFactoryBase.this)#WikiParser) ⇒ Boolean): (CommentFactoryBase.this)#WikiParser
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#WikiParser to Ensuring[(CommentFactoryBase.this)#WikiParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
26.  def ensuring(cond: Boolean, msg: ⇒ Any): (CommentFactoryBase.this)#WikiParser
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#WikiParser to Ensuring[(CommentFactoryBase.this)#WikiParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
27.  def ensuring(cond: Boolean): (CommentFactoryBase.this)#WikiParser
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#WikiParser to Ensuring[(CommentFactoryBase.this)#WikiParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
28.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
30.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
31.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#WikiParser to StringFormat[(CommentFactoryBase.this)#WikiParser] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
32.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
33.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
34.  def hrule(): Block

        hrule ::= "----" { '-' } '\n'

35.  def htmlTag(): HtmlTag
36.  def inline(isInlineEnd: ⇒ Boolean): Inline
37.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
38.  def isWhitespace(c: Char): Boolean
    Definition Classes
      CharReader
39.  def isWhitespaceOrNewLine(c: Char): Boolean
    Definition Classes
      CharReader
40.  def italic(): Inline
41.  final def jump(chars: String): Boolean

    jumps all the characters in chars, consuming them in the process.

    jumps all the characters in chars, consuming them in the process.

    returns

      true only if the correct characters have been jumped

    Definition Classes
      CharReader
42.  final def jump(ch: Char): Boolean

    jumps a character and consumes it

    jumps a character and consumes it

    returns

      true only if the correct character has been jumped

    Definition Classes
      CharReader
43.  final def jumpUntil(pred: ⇒ Boolean): Int
    Definition Classes
      CharReader
44.  final def jumpUntil(ch: Char): Int
    Definition Classes
      CharReader
45.  def jumpWhitespace(): Int
    Definition Classes
      CharReader
46.  def jumpWhitespaceOrNewLine(): Int
    Definition Classes
      CharReader
47.  def link(): Inline
48.  def listBlock(): Block

        nListBlock ::= nLine { mListBlock }
             nLine ::= nSpc listStyle para '\n'

    Where n and m stand for the number of spaces. When `m > n`, a new list is nested.

49.  val listStyles: Map[String, (collection.Seq[Block]) ⇒ Block]

    listStyle ::= '-' spc | '1.' spc | 'I.' spc | 'i.' spc | 'A.' spc | 'a.' spc Characters used to build lists and their constructors

    listStyle ::= '-' spc | '1.' spc | 'I.' spc | 'i.' spc | 'A.' spc | 'a.' spc Characters used to build lists and their constructors

    Attributes
      protected
50.  def monospace(): Inline
51.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
52.  final def nextChar(): Unit
    Definition Classes
      CharReader
53.  def normalizeIndentation(_code: String): String

    Eliminates the (common) leading spaces in all lines, based on the first line For indented pieces of code, it reduces the indent to the least whitespace prefix:

    Eliminates the (common) leading spaces in all lines, based on the first line For indented pieces of code, it reduces the indent to the least whitespace prefix:

        indented example
        another indented line
        if (condition)
          then do something;
        ^ this is the least whitespace prefix

54.  final def notify(): Unit
    Definition Classes
      AnyRef
55.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
56.  var offset: Int
    Definition Classes
      CharReader
57.  def para(): Block

        para ::= inline '\n'

58.  final def readUntil(pred: ⇒ Boolean): String
    Definition Classes
      CharReader
59.  final def readUntil(chars: String): String
    Definition Classes
      CharReader
60.  final def readUntil(c: Char): String
    Definition Classes
      CharReader
61.  final def repeatJump(c: Char, max: Int = Int.MaxValue): Int
    Definition Classes
      CharReader
62.  def reportError(pos: Position, message: String): Unit
63.  def subscript(): Inline
64.  def summary(): Inline
65.  var summaryParsed: Boolean
66.  def superscript(): Inline
67.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
68.  def title(): Block

        title ::= ('=' inline '=' | "==" inline "==" | ...) '\n'

69.  def toString(): String
    Definition Classes
      AnyRef → Any
70.  def underline(): Inline
71.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
72.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
73.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
74.  def →[B](y: B): ((CommentFactoryBase.this)#WikiParser, B)
    Implicit
      This member is added by an implicit conversion from (CommentFactoryBase.this)#WikiParser to ArrowAssoc[(CommentFactoryBase.this)#WikiParser] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from (CommentFactoryBase.this)#CharReader

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (CommentFactoryBase.this)#WikiParser to any2stringadd[(CommentFactoryBase.this)#WikiParser]

### Inherited by implicit conversion StringFormat from (CommentFactoryBase.this)#WikiParser to StringFormat[(CommentFactoryBase.this)#WikiParser]

### Inherited by implicit conversion Ensuring from (CommentFactoryBase.this)#WikiParser to Ensuring[(CommentFactoryBase.this)#WikiParser]

### Inherited by implicit conversion ArrowAssoc from (CommentFactoryBase.this)#WikiParser to ArrowAssoc[(CommentFactoryBase.this)#WikiParser]

### Ungrouped